xquery version "3.1";

import module namespace file = "http://exist-db.org/xquery/file";
import module namespace functx = "http://www.functx.com";

let $source := '/db/apps/EarlyPrintAnnotations/annotations'

let $result :=
    for $doc in collection($source)
        return
        if (count($doc//annotation-item) = 0) 
        then (
            let $doc_name := fn:base-uri($doc)
            return if (fn:ends-with($doc_name, '.xml'))
                then 
                    let $col := functx:substring-before-last($doc_name, '/')
                    let $file := functx:substring-after-last($doc_name, '/')
                    return ($doc_name, xmldb:remove($col, $file))
            else ()
        )
        else 
        ()

return $result




